function newExcl02020Control(pageName, doctx="[data-doctx='excl02020']") {
    let ctrl = new DatasetControl({
          doctx: doctx
        , prefix: "opnn"
        , prefixName: "의견제출"
        , dataGetter: obj => obj["Info"]
        , keys: ["OPNN_ID"]
        , urls: {
              create: "/create.do"
            , update: "/update.do"
        }
    });

    /**************************************************************************
     * DatasetControl Events
     **************************************************************************/
    // 현재 선택 자료 변경 이벤트
    ctrl.onCurrentChange = (item) => {
        if (!item) return;

        // 화면에 단속 Dataset 셋팅
        let formFields = new FimsFormFields(ctrl.selector("[name='frmEdit']"));
        formFields.set(ctrl, item);

        // 업무구분에 따른 URL 변경
        ctrl.urls.create = wctx.url(pageObject[pageName].prefixUrl + "/020/create.do");    // 등록
        ctrl.urls.update = wctx.url(pageObject[pageName].prefixUrl + "/020/update.do");    // 수정

        if (item.data.OPNN_ID) {
            pageObject[pageName].fnSearchFileList(item.data.OPNN_ID);           // 첨부파일 조회
        } else {
            $(ctrl.find("[name='rcptYmd']")).datepicker("setDate", TODAY());    // 접수 일자
        }
    };

    // 저장 callback
    ctrl.onSave = (params, resp) => {
        let modalId = $(document.querySelector(doctx)).parents(".modal")[0].id;
        let dialogTitle = $("#" + modalId).find("h5.modal-title").html();
        let showMessage = resp.rtnMsg.replace(/[S]|[F]/g, dialogTitle);

        // 메시지 출력
        dialog.alert({
              content: showMessage
            , init: () => { AppSupport.setDialogZindex(); }
            , onOK: resp.saved ? undefined : () => { }
            , onClose: () => {
                if (resp.saved) { dialog.close(modalId); }
            }
        });
    }

    // 저장
    ctrl.save = (params) => {
        if (!params) return;

        let create = (params.opnnId == "");
        let formData = new FormData();

        // 첨부파일 배열에 있는 내용을 등록
        for (let iLoop = 0; iLoop < pageObject[pageName].fileListArr.length; iLoop++) {
            formData.append("uploadFiles" , pageObject[pageName].fileListArr[iLoop]);
        }
        for (let key in params) {
            let value = params[key];
            formData.append(key, value);
        }

        ajax.post({
              url: !create ? ctrl.urls.update : ctrl.urls.create
            , data: formData
            , contentType: false
            , processData: false
            , success: (resp) => { ctrl.onSave(params, resp); }
        });
    }

    return ctrl;
}
